using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;

namespace WebMail.Model
{
    [Table("Folders")]
    public class Folder
    {
        public Folder()
        { 
        }

        [Key]
        public int Id { get; set; }

        [MaxLength(50)]
        public string Name { get; set; }

        public int? ParentId { get; set; }

        [MaxLength(50)]
        public string Category { get; set; }
    }
}